# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without repolib

%define repodir %{_javadir}/repository.jboss.com/jboss/jbossws-parent/%{version_full}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define reltag GA
%define version_full %{version}.%{reltag}

Name:           jbossws-parent
Version:        1.0.8
Release:        2%{?dist}
Epoch:          0
Summary:        JBossWS Parent POM
License:        LGPLv2+
Group:          Development/Java
URL:            http://labs.jboss.com/jbossws/
# svn export http://anonsvn.jboss.org/repos/jbossws/maven/parent/tags/jbossws-parent-1.0.8.GA jbossws-parent-1.0.8
# Exported revision 12761.
# tar cjf jbossws-parent-1.0.8.tar.bz2 jbossws-parent-1.0.8
Source0:        jbossws-parent-1.0.8.tar.bz2
Source1:        jbossws-parent-component-info.xml
Patch0:         jbossws-parent-require-maven-version.patch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
# XXX: Who owns the maven directories?
#Requires:      maven2
BuildRequires:  jpackage-utils
BuildRequires:  maven-deploy-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-source-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-install-plugin
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
JBoss WS Parent POM.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q
%patch0 -p0 -b .sav0
find . -name "*.jar" -exec rm -f {} \;

%build

export MAVEN_REPO_LOCAL=`pwd`/m2_repo/repository

mvn-jpp -e \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -DaltDeploymentRepository=jboss-releases::default::file://$(pwd)/maven2-brew \
        install deploy:deploy javadoc:javadoc

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap org.jboss.ws jbossws-parent %{version_full} JPP %{name}

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__mkdir_p} $RPM_BUILD_ROOT%{repodir}
%{__mkdir_p} $RPM_BUILD_ROOT%{repodirlib}
%{__cp} -p %{SOURCE1} $RPM_BUILD_ROOT%{repodir}/component-info.xml
%{__sed} -i 's/@VERSION@/%{version_full}-brew/g' $RPM_BUILD_ROOT%{repodir}/component-info.xml
tag=`/bin/echo %{name}-%{version}-%{release} | %{__sed} 's|\.|_|g'`
%{__sed} -i "s/@TAG@/$tag/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
%{__cp} -p pom.xml $RPM_BUILD_ROOT%{repodirlib}/%{name}.pom
%{__mkdir_p} $RPM_BUILD_ROOT%{repodirsrc}
%{__cp} -p %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}/
%{__cp} -p %{PATCH0} $RPM_BUILD_ROOT%{repodirsrc}/

%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Tue Dec 7 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.0.8-2
- Build with Maven 2.2.1
- Fix %%files for signed jars
- Add content of maven2-brew, add BR maven-deploy-plugin
- Add the line to find and remove any binaries
- Add BR maven-compiler-plugin, maven-source-plugin, maven-jar-plugin, maven-javadoc-plugin, maven-site-plugin, maven-install-plugin

* Mon Aug 9 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.0.8
- Upgrade to 1.0.8

* Tue May 25 2010 David Walluck <dwalluck@redhat.com> 0:1.0.6-1
- don't require maven 2.0.9
- fix version in maven depmap
- fix repolib directory ownership
- fix repolib permissions

* Fri May 14 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.6-0.GA.3
- Build in dist-4E-ep-5.1

* Fri May 14 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.6-0.GA.2
- Add component-info.xml

* Thu May 13 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.6-0.GA.1
- Upgrade to 1.0.6.GA
- Remove pom patch
- Add repolib

* Fri May 07 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.2-0.GA.3.1
- rebuilt

* Thu Apr 08 2010 Hui Wang <huwang@redhat.com> 0:1.0.2-0.GA.3
- Rebuild for generating signed jar

* Thu Jul 23 2009 Permaine Cheung <pcheung@redhat.com>  0:1.0.2-0.GA.2
- Comment out repos in the pom

* Thu Jun 25 2009 Permaine Cheung <pcheung@redhat.com>  0:1.0.2-0.GA.1
- release
